Subject: I2C STOP condition on MPC8245

From: Daniel Ann <[email-masked]>
Date: Thu, 25 Aug 2005 16:38:17 +0900

Hi folks,

Just wondering, if anyone tried i2c multi-master using mpc8245 with
kernel 2.6.x.
Thing is, version of kernel doesnt really matter, since I only have
problem getting mpc8245 to detect STOP condition sent by the
atmega64(the other i2c device).

Not knowing I2C that much, Im curious to know if mpc8245 should raise
an interrupt if it detects STOP condition sent by the master device.

I have no problem with i2c communication if mpc8245 is master, but
only when mpc8245 acts as slave, I cant detect the end of transfer.

If mpc8245 doesnt raise an interrupt when it detect STOP condition,
then how should program running on mpc8245 to know when to stop
reading ?

--=20
Daniel